package Proxy;

/**
 * Title:        Realizzazione di un proxy per il monitoraggio richeste a dei servitori e la gestione di un profilo utente
 * Description:  Questo progetto mira a realizzare un software in grado di monitorare le richieste verso dei servitori e, sulla base di queste, gestire un profilo dell'utente stesso.
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author Luigi Quitadamo
 * @version 1.0
 */

import java.net.*;
import java.io.*;

public class Profiloutente implements Serializable{

  String username;
  String password;
  Integer num_servlet;
  Long liquidita;
  Integer num_vers;
  Integer num_giroconti;
  Integer num_bonifici;

  public Profiloutente(String user, String pass) {

    username=user;
    password=pass;
    num_servlet=new Integer(0);
    liquidita=new Long(0);
    num_vers=new Integer(0);
    num_giroconti=new Integer(0);
    num_bonifici=new Integer(0);
  }

  public String getUsername() { return username;}

  public String getPassword() { return password;}

  public String getNumServlet() { return num_servlet.toString();}

  public String getNumVers() { return num_vers.toString();}

  public String getNumGiroconti() { return num_giroconti.toString();}

  public String getNumBonifici() { return num_bonifici.toString();}

  public void setLiquidita(long liq) { liquidita=new Long(liq); }

  public void incServlet() {num_servlet=new Integer(num_servlet.intValue()+1);}

  public void incGiroconti() {num_giroconti=new Integer(num_giroconti.intValue()+1);}

  public void incBonifici() {num_bonifici=new Integer(num_bonifici.intValue()+1);}

  public void incVers() {num_vers=new Integer(num_vers.intValue()+1);}

  public long getLiquidita() {return liquidita.longValue();}

  public String getStringLiquidita() { return liquidita.toString();}

  public String toString() { return username + password
                                    + num_servlet.toString()
                                    + liquidita.toString()
                                    + num_vers.toString()
                                    + num_giroconti.toString()
                                    + num_bonifici.toString();
  }


}