

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import Proxy.*;

/**
 * Title:        Realizzazione di un proxy per il monitoraggio richeste a dei servitori e la gestione di un profilo utente
 * Description:  Questo progetto mira a realizzare un software in grado di monitorare le richieste verso dei servitori e, sulla base di queste, gestire un profilo dell'utente stesso.
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author Luigi Quitadamo
 * @version 1.0
 */

public class VisualizzaProfilo extends HttpServlet {
  private static final String CONTENT_TYPE = "text/html";
  private static final String fname_Profili=new String("c:/Config/profili.data");

  /**Initialize global variables*/
  public void init(ServletConfig config) throws ServletException {
    super.init(config);
  }

  /**Process the HTTP Get request*/
  public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    response.setContentType(CONTENT_TYPE);
    GestoreProfili gest_Profili=new GestoreProfili();

    PrintWriter out=response.getWriter();
    out.println("<html>");
    out.println("<head><title>Visualizzazione Profilo</title></head>");
    out.println("<body>");
    out.println("<p> <H1>Visualizzazione del Profilo utente </H1></p>");
    /*try {
      FileInputStream finprofili=new FileInputStream(fname_Profili);
      ObjectInputStream inprofili=new ObjectInputStream(finprofili);
      gest_Profili=(GestoreProfili) inprofili.readObject();
      inprofili.close();
    }
    catch (Exception e) {
      out.println("<H2><p>Errore nella lettura dei profili:" + e.toString() + "</p>");
      return;
    }*/
    gest_Profili=GestoreProfili.LeggidaFile(fname_Profili);
    if (gest_Profili!= null) {
      Profiloutente p=gest_Profili.lookup(request.getParameter("user"));
      if (p!=null) {
        if (p.getPassword().equals(request.getParameter("pass"))) {
          //i dati del cliente sono validi
          out.println("<H2><p>Username:   " + p.getUsername() + "</p>");
          out.println("<p>Password:   " + p.getPassword() + "</p>");
          out.println("<p>Numero servlet richieste:   " + p.getNumServlet() + "</p>");
          out.println("<p>Numero versamenti effettuati:   " + p.getNumVers() + "</p>");
          out.println("<p>Liquidit attuale:   " + p.getStringLiquidita() + "</p>");
          out.println("<p>Numero giroconti effettuati:   " + p.getNumGiroconti() + "</p>");
          out.println("<p>Numero bonifici effettuati:   " + p.getNumBonifici() + "</p></H2>");
        }
        else out.println("<H2><p>La password immessa non  valida</p></H2>");
      }
      else out.println("<H2><p>Non esiste alcun utente con l'username immesso</p></H2>");
      out.println("</body></html>");
    }
    else out.println("<H2><p>Errore nel file dei profili</p></H2>");
  }

  /**Clean up resources*/
  public void destroy() {
  }
}